package com.wrj.driver.server.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.wrj.driver.server.entity.TdCar;
import com.wrj.driver.server.response.BaseResponse;
import com.wrj.driver.server.service.ITdCarService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 车型分类; 前端控制器
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Api(tags = "车型")
@RestController
@RequestMapping("/tdCar")
@Slf4j
public class TdCarController {

    @Autowired
    private ITdCarService carService;

    @ApiOperation("获取车型列表")
    @GetMapping("/list")
    public BaseResponse list() {
        return BaseResponse.success(carService.list(new LambdaQueryWrapper<TdCar>()
                .eq(TdCar::getIsActive, "0")));
    }

}
