package com.wrj.driver.server.controller;


import com.wrj.driver.server.dto.MemberQueryDto;
import com.wrj.driver.server.interceptor.TenantContextHolder;
import com.wrj.driver.server.response.BaseResponse;
import com.wrj.driver.server.service.ITdMemberService;
import com.wrj.driver.server.util.SecurityUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 会员类型表; 前端控制器
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Api(tags = "会员")
@RestController
@RequestMapping("/tdMember")
@Slf4j
public class TdMemberController {

    @Autowired
    private ITdMemberService memberService;

    @ApiOperation("查询会员列表")
    @PostMapping("/queryMember")
    public BaseResponse queryMember(@RequestBody MemberQueryDto queryDto) {
        log.info("获取会员列表======>queryDto:{}", queryDto);
        queryDto.setTenantId(TenantContextHolder.getTenantId());
        return BaseResponse.success(memberService.queryMember(queryDto));
    }


    @ApiOperation("查询用户开通的会员")
    @PostMapping("/queryUserMember")
    public BaseResponse queryUserMember(@RequestBody MemberQueryDto queryDto) {
        log.info("获取用户会员列表======>queryDto:{}", queryDto);
        queryDto.setTenantId(TenantContextHolder.getTenantId());
        return BaseResponse.success(memberService.queryUserMember(queryDto, SecurityUtil.getUserId()));
    }
}
