package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 用户折扣
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdSysUserDiscount  {

    @TableId(value = "ID", type = IdType.AUTO)
    private Integer id;

    @TableField(value = "USER_ID")
    private Long userId;

    @TableField(value = "DISCOUNT_ID")
    private Integer discountId;

    //折扣
    @TableField(value = "DISCOUNT")
    private BigDecimal discount;

    /**
     * 会员时间
     */
    @TableField("DURATION")
    private Integer duration;

    /**
     * 时长单位，1：天，2：月 3：年
     */
    @TableField("UNIT")
    private String unit;

    @TableField(value = "END_TIME")
    private LocalDateTime endTime;

    @TableField(value = "IS_INVALID")
    private Integer isInvalid;


    @TableField(value = "OPER_USER")
    private String operUser;

    @TableField(value = "OPER_TIME")
    private LocalDateTime operTime;

    private Integer useType;
}
