package com.wrj.driver.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.wrj.driver.server.constant.Constants;
import com.wrj.driver.server.entity.TdCarouselImage;
import com.wrj.driver.server.mapper.TdCarouselImageMapper;
import com.wrj.driver.server.service.ITdCarouselImageService;
import com.wrj.driver.server.vo.CarouselImageVo;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class TdCarouselImageServiceImpl extends ServiceImpl<TdCarouselImageMapper, TdCarouselImage> implements ITdCarouselImageService {
    @Override
    public List<CarouselImageVo> queryList(Long tenantId) {
        List<TdCarouselImage> list = this.baseMapper.selectList(new LambdaQueryWrapper<TdCarouselImage>()
                .eq(TdCarouselImage::getTenantId,tenantId)
                .eq(TdCarouselImage::getIsActive, Constants.IS_ACTIVE_TRUE));

        return list.stream().map(d -> {
            CarouselImageVo vo = new CarouselImageVo();
            BeanUtils.copyProperties(d, vo);
            return vo;
        }).collect(Collectors.toList());
    }
}
