package com.wrj.driver.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.wrj.driver.server.entity.TdMemberDiscount;
import com.wrj.driver.server.mapper.TdMemberDiscountMapper;
import com.wrj.driver.server.service.ITdMemberDiscountService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class TdMemberDiscountServiceImpl extends ServiceImpl<TdMemberDiscountMapper, TdMemberDiscount> implements ITdMemberDiscountService {
    @Override
    public TdMemberDiscount selectOne(String discountType, String subject) {
        LambdaQueryWrapper<TdMemberDiscount> queryWrapper = new LambdaQueryWrapper<TdMemberDiscount>()
                .eq(TdMemberDiscount::getDiscountType, discountType)
                .eq(TdMemberDiscount::getSubject, subject)
                .eq(TdMemberDiscount::getIsActive, "0");
        return getOne(queryWrapper);
    }

    @Override
    public List<TdMemberDiscount> selectList(String discountType, String subject) {
        LambdaQueryWrapper<TdMemberDiscount> queryWrapper = new LambdaQueryWrapper<TdMemberDiscount>()
                .eq(TdMemberDiscount::getDiscountType, discountType)
                .eq(TdMemberDiscount::getSubject, subject)
                .eq(TdMemberDiscount::getIsActive, "0");
        return this.getBaseMapper().selectList(queryWrapper);
    }
}
