package com.wrj.driver.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.wrj.driver.server.dto.BaseQueryDto;
import com.wrj.driver.server.entity.TdSecret;
import com.wrj.driver.server.mapper.TdSecretMapper;
import com.wrj.driver.server.service.ITdQuestionVersionService;
import com.wrj.driver.server.service.ITdSecretService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class TdSecretServiceImpl extends ServiceImpl<TdSecretMapper, TdSecret> implements ITdSecretService {

    @Autowired
    private ITdQuestionVersionService versionService;

    @Override
    public List<Integer> querySecretIds(BaseQueryDto queryDto) {
        //校验题库版本是否一致
        versionService.checkQuestionVersion(queryDto.getCarTypeId(), queryDto.getVersionId());

        return this.getBaseMapper().querySecretIds(queryDto);
    }

}
